MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RC< TYPE > Class Template Reference

RC<> is a wrapper class around LTIReferenceCountedObject that gives the wrapped object block scoping. More...

`#include <lti_referenceCountedObject.h>`

## Public Member Functions
| ~RC (void)
| releases the object when RC<> goes out of scope More...
| RC (void)
| create an object on the heap More...
| RC (TYPE *object)
| manage an existing object More...
RC & | operator= (TYPE *object)
| RC (const RC &object)
RC & | operator= (const RC &object)
TYPE * | operator-> (void)
| make the wrapper look like a pointer to TYPE More...
const TYPE * | operator-> (void) const
TYPE & | operator* (void)
| make the wrapper look like a pointer to TYPE More...
const TYPE & | operator* (void) const
| operator TYPE *& (void)
| make the wrapper look like a pointer to TYPE More...
| operator const TYPE *& (void) const

## Detailed Description

### template<typename TYPE>
class RC< TYPE >

RC<TYPE> tries to look like a TYPE *.

Definition at line 100 of file lti_referenceCountedObject.h.

## Constructor & Destructor Documentation

template<typename TYPE>

RC< TYPE >::~RC | ( | void | ) |  |
| inline

Definition at line 104 of file lti_referenceCountedObject.h.

References LTI_RELEASE().

template<typename TYPE>

RC< TYPE >::RC | ( | void | ) |  |
| inline

Note: caller should test if it is NULL before using it.

Definition at line 111 of file lti_referenceCountedObject.h.

template<typename TYPE>

RC< TYPE >::RC | ( | TYPE * | object) |  |
| inline

Note: use RC<TYPE> object(NULL) to get an empty wrapper

Definition at line 118 of file lti_referenceCountedObject.h.

template<typename TYPE>

RC< TYPE >::RC | ( | const RC< TYPE > & | object) |  |
| inline

Definition at line 128 of file lti_referenceCountedObject.h.

## Member Function Documentation

template<typename TYPE>

RC< TYPE >::operator const TYPE *& | ( | void | ) |  | const
| inline

Definition at line 147 of file lti_referenceCountedObject.h.

template<typename TYPE>

RC< TYPE >::operator TYPE *& | ( | void | ) |  |
| inline

Definition at line 146 of file lti_referenceCountedObject.h.

template<typename TYPE>

TYPE& RC< TYPE >::operator* | ( | void | ) |  |
| inline

Definition at line 142 of file lti_referenceCountedObject.h.

template<typename TYPE>

const TYPE& RC< TYPE >::operator* | ( | void | ) |  | const
| inline

Definition at line 143 of file lti_referenceCountedObject.h.

template<typename TYPE>

TYPE* RC< TYPE >::operator-> | ( | void | ) |  |
| inline

Definition at line 139 of file lti_referenceCountedObject.h.

template<typename TYPE>

const TYPE* RC< TYPE >::operator-> | ( | void | ) |  | const
| inline

Definition at line 140 of file lti_referenceCountedObject.h.

template<typename TYPE>

RC& RC< TYPE >::operator= | ( | TYPE * | object) |  |
| inline

Definition at line 119 of file lti_referenceCountedObject.h.

References LTI_RELEASE(), and LTI_RETAIN().

template<typename TYPE>

RC& RC< TYPE >::operator= | ( | const RC< TYPE > & | object) |  |
| inline

Definition at line 129 of file lti_referenceCountedObject.h.

References LTI_RELEASE(), and LTI_RETAIN().

The documentation for this class was generated from the following file:

- lti_referenceCountedObject.h

LizardTech